regina::detail::FaceNumberingImpl< dim, subdim, lex > Class Template Reference
Implementation details

Implementation details for numbering subdim-faces of a dim-dimensional simplex. More...

`#include <triangulation/detail/facenumbering.h>`

Inheritance diagram for regina::detail::FaceNumberingImpl< dim, subdim, lex >:

## Static Public Member Functions

static Perm< dim+1 > | ordering (unsigned face)
| Given a subdim-face number within a dim-dimensional simplex, returns the corresponding canonical ordering of the simplex vertices. More...
static unsigned | faceNumber (Perm< dim+1 > vertices)
| Identifies which subdim-face in a dim-dimensional simplex is represented by the first (subdim + 1) elements of the given permutation. More...
static bool | containsVertex (unsigned face, unsigned vertex)
| Tests whether the given subdim-face of a dim-dimensional simplex contains the given vertex of the simplex. More...

## Static Public Attributes

static constexpr int | nFaces
| The total number of subdim-dimensional faces in each dim-dimensional simplex. More...

## Detailed Description

### template<int dim, int subdim, bool lex>
class regina::detail::FaceNumberingImpl< dim, subdim, lex >

Implementation details for numbering subdim-faces of a dim-dimensional simplex.

This numbering scheme can be accessed via FaceNumbering<dim, subdim> or Face<dim, subdim>, both of which use this as a base class. End users should not need to refer to FaceNumberingImpl directly.

See the FaceNumbering template class notes for further information, including details of how the face numbering scheme works.

Python:\n This base class is not present, and neither is
  FaceNumbering<dim, subdim>. Python users can access these routines through the class Face<dim, subdim> (which in Python becomes Face dim_subdim, or one of the type aliases such as Vertex3, Edge2 and so on).

Template Parameters

  dim | the dimension of the simplex whose faces are being numbered. This must be between 1 and 15 inclusive.
  subdim | the dimension of the faces being numbered. This must be between 0 and dim-1 inclusive.
  lex | `true` if faces are numbered in lexicographical order according to their vertices (the scheme for low-dimensional faces), or `false` if faces are numbered in reverse lexicographical order (the scheme for high-dimensional faces). The value of this parameter is forced by dim and subdim; its purpose is to help with template specialisations.

The documentation for this class was generated from the following file:

- triangulation/detail/facenumbering.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).